function setIndex(direction) {
	switch(direction) {
		case "start":
			setIndex.currentIndex = 0;
			break;
		case "left":
			setIndex.currentIndex--;
			break;
		case "right":
			setIndex.currentIndex++;
			break;
	}
    return setIndex.currentIndex;
}

function loadImage(thisArrayIndex) {
	
	var thumbContainer = document.getElementById('thumbContainer'),
		thumbImage = document.createElement('img'),
		thumbDesc = document.createElement('p');
		
	if (thumbContainer.hasChildNodes()) {
		thumbContainer.innerHTML = "";
	}
	
	thumbContainer.appendChild(thumbImage);
	thumbContainer.appendChild(thumbDesc);
	
	thumbImage.setAttribute('src', 'images/' + portfolioContent[thisArrayIndex].image);
	thumbDesc.innerHTML = portfolioContent[thisArrayIndex].desc;
}

function loadLeftButton() {
	var leftButton = document.getElementById('left');
	leftButton.addEventListener('click', goLeft, false); 
}

function loadRightButton() {
	var rightButton = document.getElementById('right');
	rightButton.addEventListener('click', goRight, false); 
}

function goLeft(e) {
	setIndex("left");
	if (setIndex.currentIndex < 0 ) {
		setIndex.currentIndex = portfolioContent.length -1;
	}
	loadImage(setIndex.currentIndex);
}

function goRight(e) {
	setIndex("right");
	if (setIndex.currentIndex === portfolioContent.length) {
		setIndex.currentIndex = 0;
	}
	loadImage(setIndex.currentIndex);
}

window.onload = function() {
	"use strict";
	setIndex("start");	
	loadImage(setIndex.currentIndex);
	loadLeftButton();
	loadRightButton();	
};